%Esempio di applicazione del teorema delle contrazioni alla
%funzione cos(x)
x0=1; %punto di partenza
toll=1e-10; ; %tolleranza nella ricerca del punto fisso
i=0;
while abs(x0-cos(x0))>toll
    i=i+1;
    x1=cos(x0);
    x0=x1;
end

disp(sprintf('numero iterazioni= %d',i));
disp(sprintf('risultato =%g',x0));